
#pragma once
#include "B4RDefines.h"
#include "MyKeypad_I2C.h"

    //~Event: 
    //~Version: 1.0 
    //~Author - 
    //~Libray from Arduino

namespace B4R {
    //~shortname:MyKeypad_I2C
    class B4RMyKeypad_I2C
    {
        private:
            uint8_t backend[sizeof(MyKeypad_I2C)];
            MyKeypad_I2C* rcs;
        public: 
            void Initialize(byte i2cAdd);
            void setKeyCode(byte code, byte index);
            void clearAllKeyCodes();
            bool isReady();
            byte receiveKey(byte anzahl);
            void checkKey();
            void printKeyCodes();
    };
}

