
#include "B4RDefines.h"

namespace B4R
{

    void B4RMyKeypad_I2C::Initialize(byte i2cAdd)
    {
       rcs = new (backend) MyKeypad_I2C(i2cAdd);
    };


    void B4RMyKeypad_I2C::setKeyCode(byte code, byte index)
    {
       rcs->setKeyCode(code, index);
    };

    void B4RMyKeypad_I2C::clearAllKeyCodes()
    {
       rcs->clearAllKeyCodes();
    };

    bool B4RMyKeypad_I2C::isReady()
    {
       return rcs->isReady();
    };

    byte B4RMyKeypad_I2C::receiveKey(byte anzahl)
    {
       return rcs->receiveKey(anzahl);
    };

    void B4RMyKeypad_I2C::checkKey()
    {
       rcs->checkKey();
    };

    void B4RMyKeypad_I2C::printKeyCodes()
    {
       rcs->printKeyCodes();
    };


}

